# PIPSocket::RouteEntry Class Reference

Describe a route table entry. More...

`#include <ipsock.h>`

Inheritance diagram for PIPSocket::RouteEntry:

List of all members.

## Public Member Functions

| RouteEntry (const Address &addr)
| Create a route table entry from an IP address.
Address | GetNetwork () const
| Get the network address associated with the route table entry.
Address | GetNetMask () const
| Get the network address mask associated with the route table entry.
Address | GetDestination () const
| Get the default gateway address associated with the route table entry.
const PString & | GetInterface () const
| Get the network address name associated with the route table entry.
long | GetMetric () const
| Get the network metric associated with the route table entry.

## Protected Attributes

Address | network
Address | net_mask
Address | destination
PString | interfaceName
long | metric

## Detailed Description

Describe a route table entry.

## Constructor & Destructor Documentation

PIPSocket::RouteEntry::RouteEntry | ( | const Address & | addr | ) | `[inline]`

Create a route table entry from an IP address.

## Member Function Documentation

Address PIPSocket::RouteEntry::GetDestination | ( |  | ) | const`[inline]`

Get the default gateway address associated with the route table entry.

const PString& PIPSocket::RouteEntry::GetInterface | ( |  | ) | const`[inline]`

Get the network address name associated with the route table entry.

long PIPSocket::RouteEntry::GetMetric | ( |  | ) | const`[inline]`

Get the network metric associated with the route table entry.

Address PIPSocket::RouteEntry::GetNetMask | ( |  | ) | const`[inline]`

Get the network address mask associated with the route table entry.

Address PIPSocket::RouteEntry::GetNetwork | ( |  | ) | const`[inline]`

Get the network address associated with the route table entry.

## Member Data Documentation

Address PIPSocket::RouteEntry::destination `[protected]`

PString PIPSocket::RouteEntry::interfaceName `[protected]`

long PIPSocket::RouteEntry::metric `[protected]`

Address PIPSocket::RouteEntry::net_mask `[protected]`

Address PIPSocket::RouteEntry::network `[protected]`

The documentation for this class was generated from the following file:

- ipsock.h